#include "tim.h"

#include "stm32l0xx.h"

void tim2_1ms_init()
	{
	RCC->APB1ENR|=RCC_APB1ENR_TIM2EN;
	TIM2->PSC=2097-1;
	}

void delay(int ms)
	{
	if(ms>65535)return;
	TIM2->CNT=0;
	TIM2->ARR=ms;
	TIM2->CR1|=TIM_CR1_CEN;
	while(!(TIM2->SR & TIM_SR_UIF)){}
	TIM2->SR &=~(TIM_SR_UIF);
	TIM2->CR1&=~TIM_CR1_CEN;
	}
